
// TYPE_HERE: here you can type your mnemonic constants, using the #define directive
// like trng did it in the "Tomb_NextGeneration.h" file
// in this source you can also type your declaration of tomb raider function
// like it happens for "functions.h" source

// -------- START PRESET CONSTANTS ---------------------------------
// please don't remove the constants in this "PRESET CONSTANT" zone. 
// They will be used by some preset function in your plugin source

#define MAX_MYPROGR_ACTIONS 100
#define MAX_ASSIGN_SLOT_MINE 200

#define ENDLESS_DURATE 0xFFFF // to use as number of frames to set an infinite durate
#define NGTAG_END_SEQUENCE		   0   // signals the end of ng token sequence
#define NGTAG_PROGRESSIVE_ACTIONS  1
#define NGTAG_LOCAL_DATA           2
#define NGTAG_GLOBAL_DATA          3
#define AXN_FREE  0  // this record is to free an action record. You type this value in ActionType to free a action progress record
// --------- END PRESET CONSTANTS ---------------------------------
// type here the constant name for new progressive action you create
// use progressive number to have always different value for each AXN_ constant/action


// MPS_ flags
// you should type here your MPS_ flags for plugin command.
// then you'll test the presence of these flags checking the Trng.MainPluginFlags  value using "&" operator
// please: do not use the value 0x40000000 (MPS_DISABLE) because it has been already set by trng engine

#define OBJ_SAVECRYSTAL_BLUE 1
#define OBJ_SAVECRYSTAL_GREEN 2
#define OBJ_FALLING_FLOOR 3
#define OBJ_TR1_SPIKES 4

#define CUST_SAVECRYSTAL_BLUE 1
#define CUST_SAVECRYSTAL_GREEN 2
#define CUST_FALLING_FLOOR 3
#define CUST_TR1_SPIKES 4

#define FLIPEFFECT_GET_SAVECRYSTAL_GREEN_QUANTITY 1
#define FLIPEFFECT_SET_SAVECRYSTAL_GREEN_QUANTITY 2

#define ARGUMENT_COUNT_SAVECRYSTAL_BLUE 5
#define ARGUMENT_COUNT_SAVECRYSTAL_GREEN 6
#define ARGUMENT_COUNT_FALLING_FLOOR 1
#define ARGUMENT_COUNT_TR1_SPIKES 5

#define ARGUMENT1 0
#define ARGUMENT2 1
#define ARGUMENT3 2
#define ARGUMENT4 3
#define ARGUMENT5 4
#define ARGUMENT6 5

#define ANIMATION_STAND_STILL_LINK 11
#define ANIMATION_STAND_STILL_BREATH 103
#define ANIMATION_IMPALED_ON_SPIKES 149

#define DISTANCE_TOUCH 64
#define DISTANCE_CLOSE 400
#define DISTANCE_SECTOR 1024

#define FACING_RIGHT 16384

#define HEALTH_LOSS_DEFAULT 15

#define STATE_FALLING_FLOOR_WAIT 0
#define STATE_FALLING_FLOOR_BREAK 1
#define STATE_FALLING_FLOOR_FALL 2
#define STATE_FALLING_FLOOR_DIE 3

#define SPEED_VERTICAL_THRESHOLD 6
#define SPEED_HORIZONTAL_THRESHOLD 30

#define HEIGHT_MINIMUM 256

#define ANGLE_CORRECTION 16384

#define BLOOD_COUNT_MINIMUM 2
#define BLOOD_COUNT_MAXIMUM 6
#define BLOOD_COUNT_INSTANT_KILL 20

#define INDEX_NONE -1

#define KEY_F5 63

#define PATCH_GT_SAVED_SAVEGAME 114

#define SAVEGAME_FILENAME_FORMAT_ADDRESS 0x475656

#define STRING_SAVEGAME_FILENAME_FORMAT "savegame.%d"
#define STRING_PLUGIN_CLASSIC_INVENTORY "Plugin_ClassicInventory"

#define INVENTORY_CONDITION_STATE 105

#define QUANTITY_SAVECRYSTAL_GREEN_MAXIMUM 255

#define MASK_ACTIVATION 0x3E00

#define SFX_ALWAYS 2

#define LIGHT_INTENSITY_SAVECRYSTAL 8
